# addPathOption

open fun addPathOption(option: String): JavadocOptionFileOption<List<File>>

Adds an option that will have multiple absolute file paths joined by `path.separator` supplied as a separate argument. Calling this method behaves exactly like calling `addPathOption(option, System.getProperty("path.separator"))`.

`addPathOption("foo").setValue(asList(file("bar"), file("baz")))` with the path separator being `:` will produce the command-line

        -foo 'path/to/bar:path/to/baz'

Content copied to clipboard

#### Return

an option object to further configure the value

#### Parameters

option

command-line option

open fun addPathOption(option: String, joinBy: String): JavadocOptionFileOption<List<File>>

Adds an option that will have multiple absolute file paths joined by the provided separator supplied as a separate argument. The returned option object must be used to configure the value unless the option should not be supplied.

`addPathOption("foo", "|").setValue(asList(file("bar"), file("baz")))` will produce the command-line

        -foo 'path/to/bar|path/to/baz'

Content copied to clipboard

A value of `null` or an empty list will make the option not be supplied and can be used to unset an option that previously was set.

#### Return

an option object to further configure the value

#### Parameters

option

command-line option

joinBy

separator